Subject: B20.1 and compiling Perl
From: Rick Saltzman <[email-masked]>
To: [email-masked]
Date: Wed, 05 May 1999 16:33:15 +0200

perl5.005_03
NT 4 with service packs 

sh Configure gets to socket pair portion of the build and never
completes (hangs or spins)

Installed cygwin without difficulty on e:\cygnus rather than c:\cygnus. 
No other development tools previously installed.

cd //e
mkdir Perl
cd Perl
mkdir bin                  
# add //e/Perl/bin to PATH
tar -xzf /stable_tar.gz    #perl5.005_03
cd perl5.005_03
cp cygwin32/* .
# edit ld2 and gcc2 to add at the top one line containing ':'
# edit ld2 to change PERLPATH to //e/Perl/perl5.005_03
# without the ':' niether script is found for execution
cp gcc2 ../bin
cp ld2 ../bin
sh Configure
# answer as per README.cygwin
# BUT the 'C' library path is not found so answer the
# prompt for the library path with //e/cygnus/.../lib
# answer no when prompted about using 'nm' because it hoses
# override /usr/local with //e/Perl at prompt
# watch the build progress, finding or not finding files
# or libraries as it goes, until it gets to socket pair and
# hangs

I tried modifying cygnus.bat to include

set HOMEDRIVE=e:
set STDLIB=(path to cygnus libs)

but without any change to the above behavoir.  I am a bit mystified that
the two shell scripts did not work as delivered and I looked in
cygnus.bat to discover it contained a single line at the top of the file
containing ':'.  When this was added to gcc2 and ld2 they seemed to
execute correctly whereas previously they could only be invoked if I
specifically used 'sh gcc2'.

The build by default did not find the cygnus libraries, I assume their
is an environment variable for this (LIBRARY_PATH perhaps) but I didn't
look for it as I gave the path manually.  When using the default
response that uses nm to search the libraries, I do not recall what the
behaviour was but I got farther without this.

I would welcome a response from anyone who has successfully built
perl5.005_03 using cygwin on NT and has overcome similar difficulties.

--
Want to unsubscribe from this list?
Send a message to [email-masked]